Name: python-webhelpers
Version: 1.3
Release: 17%{?dist}
Summary: Helper library for aiding the writing of web templates in Python

Group: Development/Languages
License: BSD
URL: http://pylonshq.com/WebHelpers/
Source0: http://pypi.python.org/packages/source/W/WebHelpers/WebHelpers-%{version}.tar.gz

# test_distance_of_time_in_words (test_date.TestDateHelper) is not robust
# w.r.t. timezones and leapyears; patch out the fragile part of the test, for
# now, to fix the build.  Tracked upstream as:
#   https://bitbucket.org/bbangert/webhelpers/issue/61/test_distance_of_time_in_words-fails
# (rhbz#715831)
Patch1: disable-failing-date-test.patch

# https://bitbucket.org/bbangert/webhelpers/pull-request/1
Patch2: WebOb-1.2.3.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
BuildRequires: python2-devel
BuildRequires: python-nose python-routes python-simplejson python-webob
BuildRequires: python-markupsafe >= 0.9.2

%global _description\
Web Helpers is a library of helper functions intended to make writing templates\
in web applications easier.\
\
One of the sub-sections of Web Helpers contains a full port of the template\
helpers that are provided by Ruby on Rails with slight adaptations on occasion\
to accommodate for Python.\


%description %_description

%package -n python2-webhelpers
Summary: %summary
Requires: python-routes >= 1.7, python-simplejson >= 1.4, python-markupsafe >= 0.9.2
%{?python_provide:%python_provide python2-webhelpers}

%description -n python2-webhelpers %_description

%prep
%setup -q -n WebHelpers-%{version}

%patch1 -p1
%patch2 -p1

%build
%py2_build


%install
rm -rf $RPM_BUILD_ROOT
%py2_install


%check
PYTHONPATH=$(pwd) nosetests


%clean
rm -rf $RPM_BUILD_ROOT


%files -n python2-webhelpers
%defattr(-,root,root,-)
%license LICENSE
%doc README.txt
%{python2_sitelib}/webhelpers
%{python2_sitelib}/WebHelpers-%{version}-py2.?.egg-info


%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Aug 22 2017 Iryna Shcherbina <ishcherb@redhat.com> - 1.3-16
- Add a build-time dependency on python2-devel and modernize spec file

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.3-15
- Python 2 binary package renamed to python2-webhelpers
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-12
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 30 2014 Toshio Kuratomi <toshio@fedoraproject.org> - 1.3-9
- Replace python-setuptools-devel BR with python-setuptools

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Aug 13 2013 Luke Macken <lmacken@redhat.com> - 1.3-7
- Apply a patch to fix an error with WebOb 1.2.3 (#914418, #993178)

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec  6 2011 David Malcolm <dmalcolm@redhat.com> - 1.3-2
- fix FTBFS by disabling failing date-handling test (rhbz#715831)

* Sat May 14 2011 Luke Macken <lmacken@redhat.com> - 1.3-1
- Update to 1.3

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Oct 05 2010 Luke Macken <lmacken@redhat.com> - 1.2-1
- Update to 1.2
- Require python-markupsafe

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Thu Jun  3 2010 Kyle VanderBeek <kylev@kylev.com> - 1.0-1
- Update to 1.0 release version

* Wed May 19 2010 Luke Macken <lmacken@redhat.com> - 1.0-0.2.b7
- Update to 1.0b7
- Re-enable the test suite

* Mon May 10 2010 Luke Macken <lmacken@redhat.com> - 1.0-0.1.b6
- Update to 1.0b6

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jan 07 2009 Luke Macken <lmacken@redhat.com> - 0.6.4-2
- Remove some non-existent files.

* Tue Jan 06 2009 Luke Macken <lmacken@redhat.com> - 0.6.4-1
- Update to 0.6.4
- Run the test suite

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.3.4-3
- Rebuild for Python 2.6

* Sun May 11 2008 Kyle VanderBeek <kylev@kylev.com> - 0.3.4-2
- Fix rpmlint warnings.
- Add documentation to the package.
- Fix spurious executable bit on CHANGELOG.

* Wed Apr  9 2008 Kyle VanderBeek <kylev@kylev.com> - 0.3.4-1
- Initial version.
